Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.PlayerArgs Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | PlayerArgs ()
| Constructor.
def | PlayerArgs (doc, screen_annot, rendition, URL, audio_format, player_settings)
| Constructor, with parameters. More...
def | PlayerArgs (player_args)
| Constructor, with another player args object. More...
def | Set (doc, screen_annot, rendition, URL, audio_format, player_settings)
| Set values. More...

## Static Public Attributes
| audio_format = _fsdk.PlayerArgs_audio_format
| The audio format, such as "audio/wav".
| doc = _fsdk.PlayerArgs_doc
| The PDFDoc object of the document. More...
| player_settings = _fsdk.PlayerArgs_player_settings
| A MediaSettings object.
| rendition = _fsdk.PlayerArgs_rendition
| A FoxitPDFSDKPython3.Rendition object (either a MediaRendition or a RenditionList). More...
| screen_annot = _fsdk.PlayerArgs_screen_annot
| A FoxitPDFSDKPython3.Screen object. More...
| URL = _fsdk.PlayerArgs_URL
| Either URL or rendition is required, with URL taking precedence.

## Detailed Description

This class represents player args.

## Constructor & Destructor Documentation

## ◆ PlayerArgs() [1/2]

def FoxitPDFSDKPython3.PlayerArgs.PlayerArgs | ( |  | doc,
|  |  | screen_annot,
|  |  | rendition,
|  |  | URL,
|  |  | audio_format,
|  |  | player_settings
| ) |  |

Constructor, with parameters.

Parameters

  [in] | doc | The PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A FoxitPDFSDKPython3.Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A pdf::Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A MediaSettings object.

## ◆ PlayerArgs() [2/2]

def FoxitPDFSDKPython3.PlayerArgs.PlayerArgs | ( |  | player_args | ) |

Constructor, with another player args object.

Parameters

  [in] | player_args | Another player args object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.PlayerArgs.Set | ( |  | doc,
|  |  | screen_annot,
|  |  | rendition,
|  |  | URL,
|  |  | audio_format,
|  |  | player_settings
| ) |  |

Set values.

Parameters

  [in] | doc | The PDFDoc object of the document. Required if both annot and rendition are omitted, for example, for URL playback.
  [in] | screen_annot | A FoxitPDFSDKPython3.Screen object. Required for docked playback unless it is found in the event object or MediaSettings.
  [in] | rendition | A FoxitPDFSDKPython3.Rendition object (either a MediaRendition or a RenditionList). Required unless rendition is found in the event object or URL is present.
  [in] | URL | Either URL or rendition is required, with URL taking precedence.
  [in] | audio_format | The audio format, such as "audio/wav".
  [in] | player_settings | A MediaSettings object.

Returns
  None.

## Member Data Documentation

## ◆ doc

FoxitPDFSDKPython3.PlayerArgs.doc = _fsdk.PlayerArgs_doc
| static

The PDFDoc object of the document.

Required if both annot and rendition are omitted, for example, for URL playback.

## ◆ rendition

FoxitPDFSDKPython3.PlayerArgs.rendition = _fsdk.PlayerArgs_rendition
| static

A FoxitPDFSDKPython3.Rendition object (either a MediaRendition or a RenditionList).

Required unless rendition is found in the event object or URL is present.

## ◆ screen_annot

FoxitPDFSDKPython3.PlayerArgs.screen_annot = _fsdk.PlayerArgs_screen_annot
| static

A FoxitPDFSDKPython3.Screen object.

Required for docked playback unless it is found in the "event" or "MediaSettings" of javascript.